<?php
  $incfile = DIR_WS_MODULES . "order_total/" . "ot_freegift_spender.php";
  if (file_exists($incfile)) {
     include_once ($incfile);
     $discount = new ot_freegift_spender();
     if ($discount->check()) {
        $fgs = $discount->calculate_deductions();
        if ($fgs['total'] > 0) {
           if ($current_page_base == "shopping_cart") {
              echo '<div class="cartDiscount">';
              echo FGS_DEDUCTIONS . ": "; 
              echo '-' . $currencies->format($fgs['total'], true, $order->info['currency'], $order->info['currency_value']);
              echo '</div>';
           } else {
              $content .= '<div class="cartBoxDiscount">'; 
              $content .= FGS_DEDUCTIONS . ": "; 
              $content .= '-' . $currencies->format($fgs['total'], true, $order->info['currency'], $order->info['currency_value']);
              $content .= '</div>'; 
           }
        }
     }
  }
?>
